<!--- Copyright 2002-2019 CS Systèmes d'Information
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->

# Downloads

## Development Library version

The development version of the Orekit library is always available to
download from our version control system. We use [ Git](http://git-scm.com/)
as our SCM. The anonymous read access to our Git repository  allows users who
need the latest features and the latest bug fixes to get them even before an
official release.

The Git repository can be cloned using the following command, which can
be easily adapted if you are using one of the numerous Git graphical
user interface available or if Git is supported by you integrated
development environment:

    git clone -b develop https://gitlab.orekit.org/orekit/orekit.git

## Released Library versions

Orekit is provided both in several packaging systems. You can pick up
the one that better suits your needs. Source packages are the most complete
ones since the other packages (binary jars, javadoc jars and even the bulk
of this site) are created from these sources.

Orekit is also available in maven central repository,
with groupID org.orekit and artifactId orekit so maven
internal mechanism will download automatically all artifacts and dependencies
as required.

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | orekit-9.3.1-sources.zip (URL to be defined after official release)                                                                   |
|  binary  | orekit-9.3.1.jar (URL to be defined after official release)                                                                           |
version 9.3.1 downloads (release date: 2019-03-16)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-9.3-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/e313519415d0313043587739d417abcb/orekit-9.3-sources.zip)      |
|  binary  | [orekit-9.3.jar](https://gitlab.orekit.org/orekit/orekit/uploads/32bc68ad2f4e58d1e8de71dbc4ff3494/orekit-9.3.jar)                      |
version 9.3 downloads (release date: 2019-01-25)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-9.2-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/f73b25ed3aba8d61518c341ee46ce806/orekit-9.2-sources.zip)     |
|  binary  | [orekit-9.2.jar](https://gitlab.orekit.org/orekit/orekit/uploads/f0777ef490d2ac8c0a3fa193d23205c2/orekit-9.2.jar)                     |
|  javadoc | [orekit-9.2-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/6aaa9f009ad4dbb22a67c99a71f9c1bd/orekit-9.2-javadoc.jar)     |
version 9.2 downloads (release date: 2018-05-26)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-9.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/2d7f5d0b4c1e6757abde12598167c2df/orekit-9.1-sources.zip)     |
|  binary  | [orekit-9.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/a6305cca5510abae55f34df07af26fa3/orekit-9.1.jar)                     |
|  javadoc | [orekit-9.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/9c52766c3388708e6d6ac085e698f6ff/orekit-9.1-javadoc.jar)     |
version 9.1 downloads (release date: 2017-11-26)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-9.0.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/3668d63c6cefb6cfe26b78db1bc1ef68/orekit-9.0.1-sources.zip) |
|  binary  | [orekit-9.0.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/1b70b7e1e5905eff757a1645257be339/orekit-9.0.1.jar)                 |
|  javadoc | [orekit-9.0.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/d5182529161cef881afd3aca3e7f87b7/orekit-9.0.1-javadoc.jar) |
version 9.0.1 downloads (release date: 2017-11-03)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-9.0-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/cdaea9bf803699b015ebf308670eb33f/orekit-9.0-sources.zip)     |
|  binary  | [orekit-9.0.jar](https://gitlab.orekit.org/orekit/orekit/uploads/9f43a1589ba0ac371277f0f8b2c74b8a/orekit-9.0.jar)                     |
|  javadoc | [orekit-9.0-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/540143c9ba9d3f1f1a31cf2cea4a53ed/orekit-9.0-javadoc.jar)     |
version 9.0 downloads (release date: 2017-07-26)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-8.0.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/cba5019bfee2e63690788930c906b840/orekit-8.0.1-sources.zip) |
|  binary  | [orekit-8.0.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/9bb05e815c73e830c0f19166a8ed11ef/orekit-8.0.1.jar)                 |
|  javadoc | [orekit-8.0.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/122464de33116ffb9cce0cbc6db932da/orekit-8.0.1-javadoc.jar) |
version 8.0.1 downloads (release date: 2017-11-03)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-8.0-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/6d169a368fadc23c34f30294fffa215e/orekit-8.0-sources.zip)     |
|  binary  | [orekit-8.0.jar](https://gitlab.orekit.org/orekit/orekit/uploads/22d1bf03e8fa29f68f3591f0c32a30c5/orekit-8.0.jar)                     |
|  javadoc | [orekit-8.0-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/2ef79c29c54b3ac49352e6d416a1b9f3/orekit-8.0-javadoc.jar)     |
version 8.0 downloads (release date: 2016-06-30)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-7.2.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/b5c02b855be0c8a2e75214aba0eca38f/orekit-7.2.1-sources.zip) |
|  binary  | [orekit-7.2.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/6edc8330e0afc08eb7ad0dc9ca689d77/orekit-7.2.1.jar)                 |
|  javadoc | [orekit-7.2.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/f4fe31b501bccc438ddfe46a6a6eb498/orekit-7.2.1-javadoc.jar) |
version 7.2.1 downloads (release date: 2017-11-03)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-7.2-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/646d6ea884c766d70a285d3cfd3b36d9/orekit-7.2-sources.zip)     |
|  binary  | [orekit-7.2.jar](https://gitlab.orekit.org/orekit/orekit/uploads/9cdb9d3e2bcfab83e13238b0325ea4cc/orekit-7.2.jar)                     |
|  javadoc | [orekit-7.2-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/8dd49cc19c5ec49e8124bb98f0d56b6b/orekit-7.2-javadoc.jar)     |
version 7.2 downloads (release date: 2016-04-05)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-7.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/b2494fc36fff86021d0ea78ac7223acb/orekit-7.1-sources.zip)     |
|  binary  | [orekit-7.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/516d74af14c12c0cc6db71b4cbde4bfe/orekit-7.1.jar)                     |
|  javadoc | [orekit-7.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/eee3454955355e9879b461d284051594/orekit-7.1-javadoc.jar)     |
version 7.1 downloads (release date: 2016-02-07)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-7.0-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/14d6d0a02d468b9a23016b74114e8702/orekit-7.0-sources.zip)     |
|  binary  | [orekit-7.0.jar](https://gitlab.orekit.org/orekit/orekit/uploads/5ffe4ce6ff4b8ccfab7523f17a0657db/orekit-7.0.jar)                     |
|  javadoc | [orekit-7.0-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/e9e98ad1b6762c91890fb7aab5c211b8/orekit-7.0-javadoc.jar)     |
version 7.0 downloads (release date: 2015-01-11)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-6.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/9eaeb4f12551fa784f2d191b6a73a0d1/orekit-6.1-sources.zip)     |
|  binary  | [orekit-6.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/16d035c4a092bdd2cb2066c41013b12c/orekit-6.1.jar)                     |
|  javadoc | [orekit-6.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/647a59648145f0c5b14067080b1bca52/orekit-6.1-javadoc.jar)     |
version 6.1 downloads (release date: 2013-12-13)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-6.0-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/6dd675a93e0cb15329aed39b1a5e5643/orekit-6.0-sources.zip)     |
|  binary  | [orekit-6.0.jar](https://gitlab.orekit.org/orekit/orekit/uploads/f0f683843d1829097851e8376d9412f8/orekit-6.0.jar)                     |
|  javadoc | [orekit-6.0-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/755594af5a418cc4e85196e246bc3595/orekit-6.0-javadoc.jar)     |
version 6.0 downloads (release date: 2013-04-23)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-5.0.3-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/0cc06d143a24f7335fcd585512f968b6/orekit-5.0.3-sources.zip) |
|  binary  | [orekit-5.0.3.jar](https://gitlab.orekit.org/orekit/orekit/uploads/8be35f0f46bc7c3446d541037eec0a83/orekit-5.0.3.jar)                 |
|  javadoc | [orekit-5.0.3-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/1a622f5c8fb9f2fb58121bdcadf1df59/orekit-5.0.3-javadoc.jar) |
version 5.0.3 downloads (release date: 2011-07-13)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-5.0.2-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/1177d311b0299c7dcea3d2194ede2ce7/orekit-5.0.2-sources.zip) |
|  binary  | [orekit-5.0.2.jar](https://gitlab.orekit.org/orekit/orekit/uploads/11769f6bfab6d04b1f1bf235c5957922/orekit-5.0.2.jar)                 |
|  javadoc | [orekit-5.0.2-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/ff5d8cd5d0055426a29e971eb0260d76/orekit-5.0.2-javadoc.jar) |
version 5.0.2 downloads (release date: 2011-07-11)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-5.0.1-sources.zip](https://gitlab.orekit.org/orekit/orekit/uploads/cd0d8b345ae5e4d731aa5580677c47f2/orekit-5.0.1-sources.zip) |
|  binary  | [orekit-5.0.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/befcc68c729a571a88779eb735c87c66/orekit-5.0.1.jar)                 |
|  javadoc | [orekit-5.0.1-javadoc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/5e75b2b1f8b17a8b3e50bc9e1bdb3a32/orekit-5.0.1-javadoc.jar) |
version 5.0.1 downloads (release date: 2011-04-18)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-5.0-src.zip](https://gitlab.orekit.org/orekit/orekit/uploads/8a80cdfcfe46c0db68081ece3b7c0009/orekit-5.0-src.zip)             |
|  binary  | [orekit-5.0.jar](https://gitlab.orekit.org/orekit/orekit/uploads/b2f8c0c12d5195b9e451d4a98a785c95/orekit-5.0.jar)                     |
|  javadoc | [orekit-5.0-doc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/6aedeb615270720f7ace41587e0c171b/orekit-5.0-doc.jar)             |
version 5.0 downloads (release date: 2010-05-06)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-4.1-src.zip](https://gitlab.orekit.org/orekit/orekit/uploads/0c1dc04a5d22c8fbf90ce3ece4514732/orekit-4.1-src.zip)             |
|  binary  | [orekit-4.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/fb335f9a8b60d356007e933ceb57a115/orekit-4.1.jar)                     |
|  javadoc | [orekit-4.1-doc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/88974e21332e195afc94c667407b9c46/orekit-4.1-doc.jar)             |
version 4.1 downloads (release date: 2009-08-18)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-4.0-src.zip](https://gitlab.orekit.org/orekit/orekit/uploads/a78a42c340c6b2edf757dd5bfb9dad06/orekit-4.0-src.zip)             |
|  binary  | [orekit-4.0.jar](https://gitlab.orekit.org/orekit/orekit/uploads/e0caf92e04fe305de86f38507f71cb73/orekit-4.0.jar)                     |
|  javadoc | [orekit-4.0-doc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/c61f536df87c28f461a8d2a6099033f8/orekit-4.0-doc.jar)             |
version 4.0 downloads (release date: 2008-10-13)

|  package |                                              link                                                                                     |
|----------|---------------------------------------------------------------------------------------------------------------------------------------|
|  source  | [orekit-3.1-src.zip](https://gitlab.orekit.org/orekit/orekit/uploads/31f11e410f290d6c6aa25afca40ca05b/orekit-3.1-src.zip)             |
|  binary  | [orekit-3.1.jar](https://gitlab.orekit.org/orekit/orekit/uploads/764703192a9d60bc640f045e3494b2f0/orekit-3.1.jar)                     |
|  javadoc | [orekit-3.1-doc.jar](https://gitlab.orekit.org/orekit/orekit/uploads/f0f35e1de0d431d5d9e28f851a518154/orekit-3.1-doc.jar)             |
version 3.1 downloads (release date: 2008-07-16)

## Data

For convenience, a zip archive containing some configuration data is available
for download. Similar files can be custom made by users with updated data.
Configuring data loading is explained in the configuration page. For a start,
the simplest configuration is to download the
[orekit-data-master.zip](https://gitlab.orekit.org/orekit/orekit-data/-/archive/master/orekit-data-master.zip)
file from the forge, to unzip it anywhere you want, rename the `orekit-data-master` folder that will be created
into `orekit-data` and add the following lines at the start of your program:

    File orekitData = new File("/path/to/the/folder/orekit-data");
    DataProvidersManager manager = DataProvidersManager.getInstance();
    manager.addProvider(new DirectoryCrawler(orekitData));

This file contains the following data sets. Note that the data is updated only
from time to time, so users must check by themselves they cover the time range
needed for their computation.

  * leap seconds data,

  * IERS Earth orientation parameters from 1973 (both IAU-1980 and IAU-2000),

  * Marshall Solar Activity Future Estimation from 1999,

  * JPL DE 430 planetary ephemerides from 1990 to 2069,

  * Eigen 06S gravity field,

  * FES 2004 ocean tides model.

There are no guarantees that this file will be available indefinitely or that its
content will be updated. It should be considered as a simple configuration example.
Users are encouraged to set up their own configuration data.

The file is available by following the
[download](https://gitlab.orekit.org/orekit/orekit-data/-/archive/master/orekit-data-master.zip)
link in the project dedicated to Orekit Data in the forge.
